# Class StateCreator

java.lang.Object
org.jmol.viewer.JmolStateCreator
org.jmol.viewer.StateCreator

public class StateCreator extends JmolStateCreator
StateCreator handles all aspects of working with the "state" as generally defined, including -- creating the state script -- general output, including logging -- handling undo/redo -- processing SYNC directives Called by reflection only; all state generation script here, for modularization in JavaScript

## Constructor Summary

Constructors
Constructor
Description
`StateCreator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAtomShapeState(AtomShape shape)`
`void`
`getInlineData(SB loadScript, String strModel, boolean isAppend, Integer appendToModelIndex, String loadFilter)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateCreator

public StateCreator()

## Method Details

### getInlineData

public void getInlineData(SB loadScript, String strModel, boolean isAppend, Integer appendToModelIndex, String loadFilter)

### getAtomShapeState

public String getAtomShapeState(AtomShape shape)

Specified by:
  `getAtomShapeState` in class `JmolStateCreator`